import sys
import platform

sys_platform = sys.platform

if sys_platform == 'win32':
    from .cy_rbdlab import distances_win as distances

elif sys_platform == 'linux':
    from .cy_rbdlab import distances_lnx as distances

elif sys_platform == 'darwin':

    arq = platform.processor()
    if arq == "i386": 
        from .cy_rbdlab import distances_mac_intel as distances

    elif arq == "arm":
        from .cy_rbdlab import distances_mac_arm as distances

bl_info = {
    "name": "Simplified RBD Lab",
    "author": "RBDLab Studio",
    "version": (1, 5, 2),
    "blender": (3, 6, 5),
    "location": "View3D > RBDLab",
    "description": "Helpers for fracture",
    "warning": "",
    "doc_url": "",
    "category": "Physics",
}